<template>
    <v-container>
        <v-row>
            <v-col class="text-center">
                <p class="display-4">QU!Z</p>
                <p class="font-italic font-weight-light">Welcome to the ultimate QU!Z application! Here you can show off
                    your knowledge and skills to anyone.
                </p>
            </v-col>
        </v-row>
        <v-row>
            <v-col class="text-center" v-if="!$root.$data.user.id">
                <p>Let's get started right now:<br/><a href="/signUp">Sign up</a> or <a href="/login">login</a> to
                    create your own QU!ZES and earn
                    points by answering many questions!
                </p>
            </v-col>
        </v-row>
        <v-row>
            <v-col class="text-center">
                <p class="headline">Highscores</p>
                <v-card tile>
                    <v-list one-line>
                        <template v-for="topUser in getTop10Users">
                            <v-list-item :key="topUser.id">
                                <v-list-item-content>
                                    <v-list-item-title v-text="topUser.name"></v-list-item-title>
                                    <v-list-item-subtitle v-text="topUser.scored_points"></v-list-item-subtitle>
                                </v-list-item-content>
                            </v-list-item>
                        </template>
                    </v-list>
                </v-card>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
    export default {
        name: "Home",
        methods: {
            getTop10Users() {
                //return top ten users
            }
        }
    }
</script>

<style scoped>

</style>
